# MergeMapper

Implements \FileNameMapper

For merging files into a single file. In practice just returns whatever value was set for "to".

author | Andreas Aderhold andi@binarycloud.com
version | $Id: fd79adda1c462f048bfaee486b9d5fb3be7ff7e2 $
package | phing.mappers

### Methods

## The mapper implementation. Basically does nothing in this case.

    main(mixed $sourceFileName) : mixed

throws |
author | Andreas Aderhold, andi@binarycloud.com

### Arguments

#### $sourceFileName

`mixed`

The data the mapper works on

### Response

`mixed`

The data after the mapper has been applied

## Ignored.

    setFrom(string $from) : void

### Arguments

#### $from

`string`

On what this mapper should work

## Accessor. Sets the to property

    setTo(string $to) : boolean

author | Andreas Aderhold, andi@binarycloud.com

### Arguments

#### $to

`string`

To what this mapper should convert the from string

### Response

`boolean`

True

### Properties

## the merge

    mergedFile :

### Type(s)

``